1. Schema
Highperformr API
  • Introduction
  • Contacts
    • Bulk fetch contacts by IDs
      POST
    • Get contacts by segment
      POST
    • Get contact by ID
      GET
    • Update contact
      PATCH
    • Delete contact
      DELETE
    • Upsert contact into a source
      POST
    • Bulk upsert contacts for source
      POST
    • Unique values of one field for a filtered contact set
      POST
    • Unified Data API - async contact enrichment
      POST
  • Schema
    • Get contact schema
      GET
    • Get discovery search contact schema
      GET
    • Get discovery search company schema
      GET
    • Get options for field
      GET
    • Get discovery search options for field
      GET
  • Discovery search
    • Find contacts v2
      POST
    • Find companies v2
      POST
  • Jobs
    • Get job status by id
      GET
  • Social publishing
    • Create draft post
      POST
    • List posts (drafts, scheduled, published)
      POST
    • Schedule or publish posts (bulk)
      POST
    • Schedule a LinkedIn comment on an external post
      POST
    • Configure cross-account auto-repost
      POST
    • Upload media file (multipart)
      POST
    • Assemble chunked uploads into one file
      POST
    • Import media from a public URL
      POST
  • Integrations (social)
    • List social integrations (filter)
Login
  1. Schema

Get discovery search company schema

GET
/schema/discovery-search-v2/company
Field catalog for company discovery filters. Paths use hpCompany.* (and hpContact.* where person attributes apply). Use writeAccessPath values from this response in POST /discovery-search/find-companies-v2.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or

Responses

🟢200
application/json
Success
Bodyapplication/json

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app.highperformr.ai/api/schema/discovery-search-v2/company' \
--header 'x-api-key: <api-key>'
Response Response Example
200 - Success
{
    "status": "ok",
    "message": "Success"
}
Modified at 2026-04-22 07:54:17
Previous
Get discovery search contact schema
Next
Get options for field
Built with